App::Sqitch::Command::revert(3pm)

Name
App::Sqitch::Command::revert - Revert Sqitch changes from a database

Synopsis
  my $cmd = App::Sqitch::Command::revert->new(%params);
  $cmd->execute;

Description
If you want to know how to use the "revert" command, you probably want to be reading "sqitch-revert". But if you really want to know how the "revert" command works, read on.

Interface

  Class Methods
"options"

  my @opts = App::Sqitch::Command::revert->options;

Returns a list of Getopt::Long option specifications for the command-line options for the "revert" command.

  Attributes
"log_only"

Boolean indicating whether to log the deploy without running the scripts.

"lock_timeout"

The number of seconds to wait for an exclusive advisory lock on the target, for engines that support the feature.

"modified"

Boolean to revert to the change prior to earliest change with a revised deploy script.

"no_prompt"

Boolean indicating whether or not to prompt the user to really go through with the revert.

"prompt_accept"

Boolean value to indicate whether or not the default value for the prompt, should the user hit "return", is to accept the prompt or deny it.

"strict"

Boolean to indicate whether or not a change to revert to is required.

"target"

The deployment target URI.

"to_change"

Change to revert to.

  Instance Methods
"execute"

  $revert->execute;

Executes the revert command.

See Also

sqitch-revert
    Documentation for the "revert" command to the Sqitch command-line client.

sqitch
    The Sqitch command-line client.

Author
David E. Wheeler <david@justatheory.com>

License
Copyright (c) 2012-2026 David E. Wheeler, 2012-2021 iovation Inc.

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.